> ## Documentation Index
> Fetch the complete documentation index at: https://gcore.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Network Mapping

> Delete network mapping.

Example of request:

```
curl --location --request DELETE 'https://api.gcore.com/dns/v2/network-mappings/123' \
--header 'Authorization: Bearer ...'
```



## OpenAPI

````yaml /api-reference/services_documented/dns_api.yaml delete /dns/v2/network-mappings/{id}
openapi: 3.1.0
info:
  title: Gcore OpenAPI – DNS API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: '2026-05-14T07:00:22.640261+00:00'
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - name: Analyze
    x-displayName: Analyze
  - name: DNS Locations
    x-displayName: DNS Locations
  - name: Lookup
    x-displayName: Lookup
  - name: Metrics
    x-displayName: Metrics
  - name: NetworkMappings
    x-displayName: NetworkMappings
  - name: Pickers
    x-displayName: Pickers
  - name: DNS Clients
    x-displayName: DNS Clients
  - name: Zones
    x-displayName: Zones
  - name: DNSSEC
    x-displayName: DNSSEC
  - name: RRsets
    x-displayName: RRsets
paths:
  /dns/v2/network-mappings/{id}:
    delete:
      tags:
        - NetworkMappings
      summary: Delete Network Mapping
      description: >-
        Delete network mapping.


        Example of request:


        ```

        curl --location --request DELETE
        'https://api.gcore.com/dns/v2/network-mappings/123' \

        --header 'Authorization: Bearer ...'

        ```
      operationId: DeleteNetworkMapping
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: integer
            format: uint64
      responses:
        '200':
          description: DeleteNetworkMappingResponse
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DeleteNetworkMappingResponse'
        '400':
          description: Error message response
          headers:
            error:
              schema:
                type: string
          content: {}
      x-codeSamples:
        - lang: Python
          source: |-
            import os
            from gcore import Gcore

            client = Gcore(
                api_key=os.environ.get("GCORE_API_KEY"),  # This is the default and can be omitted
            )
            network_mapping = client.dns.network_mappings.delete(
                0,
            )
            print(network_mapping)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/G-Core/gcore-go\"\n\t\"github.com/G-Core/gcore-go/option\"\n)\n\nfunc main() {\n\tclient := gcore.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tnetworkMapping, err := client.DNS.NetworkMappings.Delete(context.TODO(), 0)\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", networkMapping)\n}\n"
components:
  schemas:
    DeleteNetworkMappingResponse:
      type: object
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````